baz_manchester_decode_bb Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_manchester_decode_bb.h>`

Inheritance diagram for baz_manchester_decode_bb:
[legend]

## Public Member Functions

| ~baz_manchester_decode_bb ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_manchester_decode_bb_sptr | baz_make_manchester_decode_bb (bool original, int threshold, int window, bool verbose, bool show_bits)
| Return a shared_ptr to a new instance of baz_manchester_decode_bb.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_manchester_decode_bb()

baz_manchester_decode_bb::~baz_manchester_decode_bb | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_manchester_decode_bb::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int baz_manchester_decode_bb::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Symbol Documentation

## baz_make_manchester_decode_bb

BAZ_API baz_manchester_decode_bb_sptr baz_make_manchester_decode_bb | ( | bool | original,
|  | int | threshold,
|  | int | window,
|  | bool | verbose,
|  | bool | show_bits
| ) |  |

friend

Return a shared_ptr to a new instance of baz_manchester_decode_bb.

To avoid accidental use of raw pointers, baz_manchester_decode_bb's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_manchester_decode_bb.h